Skip to main content
SLO & Service Quality/SLO
GETSLOSince 1.0SynchronousAuth Required

GetBudgetSummary

Get a cross-SLO error budget summary for all objectives of a tenant.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • tenantIdString

    Identifier of the tenant to summarize error budgets for.

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    List of error budget summary entries, one per SLO objective.

    Example: (nested array)

    • sloIdString

      Identifier of the SLO objective in this summary entry.

      Example: slo-xyz789

    • sloNameString

      Human-readable name of the SLO objective.

      Example: api-availability-99.9

    • consumedPctLong

      Percentage of the error budget consumed for this SLO.

      Example: 34.9

    • sourceProductString

      Product or service that owns this SLO.

      Example: zcf-api

Endpoint

GET/api/v1/slo/error-budget-summary

/api/v1/slo/error-budget-summary

Operation ID

GetBudgetSummary

Permalink

Request Example

curl -X GET '{host}/api/v1/slo/error-budget-summary' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ]
}

Change History

This API has no change history records yet.

View all change history